#ifndef __BOOTLOADER_H
#define __BOOTLOADER_H

#include "global.h"
#include <stdint.h>

typedef enum
{
    INVALID = 0,
    VALID   = !INVALID
} validity_status;

typedef void (*pFunction)(void);

void    boot_goto_app(void);
uint8_t check_addr_sp(uint32_t addr);
uint8_t check_addr_pc(uint32_t addr);

#endif
